#ifndef INTERACTABLE_H
#define INTERACTABLE_H

#include <QObject>
#include <QGraphicsPixmapItem>

class interactable : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
public:
    explicit interactable(QPixmap);
    virtual ~interactable();
    void setPressable(bool);
    bool getPressable();
    void setInteractable(int);
    int getInteractable();

signals:

private:
    int type;
    bool pressable;
};

#endif // INTERACTABLE_H
